Subject: Re: linux-next: manual merge of the rcu tree with the tip tree

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 25 Mar 2020 14:31:37 -0700

On Tue, Mar 24, 2020 at 08:18:09PM -0700, Paul E. McKenney wrote:
> On Wed, Mar 25, 2020 at 02:08:45PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the rcu tree got conflicts in:
> > 
> >   lib/Kconfig.kcsan
> >   kernel/kcsan/report.c
> >   kernel/kcsan/kcsan.h
> >   kernel/kcsan/debugfs.c
> >   kernel/kcsan/core.c
> >   kernel/kcsan/atomic.h
> >   include/linux/kcsan-checks.h
> > 
> > between a series of commits from the tip tree and the same series of
> > patches (but different commits) in the rcu tre (followed by some more
> > changes in the rcu tree).
> > 
> > I fixed it up (I just used the rcu tree versions of these files) and
> > can carry the fix as necessary. This is now fixed as far as linux-next
> > is concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the conflicting
> > tree to minimise any particularly complex conflicts.
> > 
> > Please clean up the rcu tree WRT the tip tree.
> 
> Will do, and apologies for the hassle!

And done.  The rcu/next branch should now be fully compatible with
tip/master.

							Thanx, Paul